Module | Sequel::Postgres::Dataset::ArgumentMapper
In: | lib/sequel/adapters/postgres.rb

PostgreSQL specific argument mapper used for mapping the named argument hash to a array with numbered arguments. Only used with the pg driver.

### Methods

map_to_prepared_args

### Included Modules

Sequel::Dataset::ArgumentMapper

### Protected Instance methods

map_to_prepared_args(hash)

An array of bound variable values for this query, in the correct order.

[Source]

         # File lib/sequel/adapters/postgres.rb, line 345
    345:           def map_to_prepared_args(hash)
    346:             prepared_args.map{|k| hash[k.to_sym]}
    347:           end

[Validate]